;; Logische Tabelle  Khl_Durchgangs_Loch  erstellen
;; Lochtype Durchgangsloch (3)
(in-package :cad-cam-link-customization)

(sd-create-logical-table "mach_adv_library-countersunk_throughhole-drill_dia-table"
 :columns		'( :description :drill_dia :chamfer_depth)
 :columnNames	' ("Durchm." "Bohrung" "Fase")
 :keyColumns	'(:description :drill_dia :chamfer_depth )
 :secured		nil	
 :types		'( :string	:length	:length)
 :units		'(nil	:mm	:mm)
 :contents	'( ("5"	  5	0)
		   ("6"      6        0)
          		   ("8"	  8	0)
		   ("10"	 10	0)
		   ("12"	 12	0)
		   ("14"	 14	0)	
                                   ("16"	16 	0)
		   ("18"	18            0)))


;;---- Display Tabelle fr   Khl_Durchgangs_Loch erstellen 

(sd-create-display-table "mach_adv_library-countersunk_throughhole-drill_dia-table"
 :tableTitle  		"Kuehlbohrung Durchgang"
 :logicalTable   		"mach_adv_library-countersunk_throughhole-drill_dia-table"
 :columns   		'(:description :drill_dia :chamfer_depth)
 :filterStatusLine		nil
 :applyColumns		'( :drill_dia)
 :selectionMode		:single-row
 :applyAction		:default-tokens
)

;;---------------------------- Beschriftung fr  Khl_Durchgangs_Loch im 3D-Annotation anpassen

(MACHADV_SET_FEATURE_FLAG_TEXT
    :feature_type "MACH_ADV_LIBRARY_COUNTERSUNK_THROUGHHOLE"
    :feature_flagstring "K_Dg_Loch~%BD={1} BT={2}"
)

(MACHADV_SET_FEATURE_ABBREVIATION
    :feature_type "MACH_ADV_LIBRARY_COUNTERSUNK_THROUGHHOLE"
    :feature_abbrev "K_DG_Loch"
)

;; Mashining aufrufen
create_custom_feature "mach_adv_library_countersunk_throughhole"

 

   
