;; Logische Tabelle  Khl_Senkung  erstellen
;; Lochtype Sackloch (1)
(in-package :cad-cam-link-customization)

(sd-create-logical-table "mach_adv_library-blindhole-drill_dia-table"
 :columns		'( :description :drill_dia :drill_depth :cone_angle)
 :columnNames	' ("  Type  "         "BD"    "BT" "Win")
 :keyColumns	'(:description :drill_dia :drill_depth :cone_angle)
 :secured		nil	
 :types		'( :string                :length	:length	:angle	:length)
 :units		'(nil	               :mm	:mm	:deg	:mm)
 :contents		'( ("M10x1"	  20	18	180	  0)
                                   ("M14x1.5"              26          20            180            0)))


;;---- Display Tabelle fr  Khl_Senkung erstellen 

(sd-create-display-table "mach_adv_library-blindhole-drill_dia-table"
 :tableTitle  		"Kuehl_Senkung "
 :logicalTable   		"mach_adv_library-blindhole-drill_dia-table"
 :columns   		'(:description :drill_dia :drill_depth :cone_angle)
 :filterStatusLine		nil
 :applyColumns		'( :drill_dia :drill_depth)
 :selectionMode		:single-row
 :applyAction		:default-tokens
)

;;---------------------------- Beschriftung fr Khl_Senkung im 3D-Annotation anpassen

(MACHADV_SET_FEATURE_FLAG_TEXT
    :feature_type "MACH_ADV_LIBRARY_BLINDHOLE"
    :feature_flagstring "K_Senkung~%BD={1} BT={2}"
)

(MACHADV_SET_FEATURE_ABBREVIATION
    :feature_type "MACH_ADV_LIBRARY_BLINDHOLE"
    :feature_abbrev "K_Senkung"
)


;; Tabelle anzeigen
;;(sd-show-display-table "mach_adv_library_blindhole-thread_dia-table")

;; Mashining aufrufen
create_custom_feature "mach_adv_library_blindhole" 


   
