;; Logische Tabelle  Khl_Sack_Loch  erstellen
;; Lochtype Sackloch (1)
(in-package :cad-cam-link-customization)

(sd-create-logical-table "mach_adv_library-blindhole-drill_dia-table"
 :columns		'( :description :drill_dia)
 :columnNames	' ("Durchm." "Bohrung")
 :keyColumns	'(:description :drill_dia )
 :secured		nil	
 :types		'( :string	:length)
 :units		'(nil	:mm)
 :contents		'( ("4"	  4)
                                   ("5"         5)
                                   ("6"         6)
		   ("8"	  8)
		   ("10"	 10)
		   ("12"	 12)
		   ("14"	 14)	
                   ("16"	 16)
		   ("20"	 20)))


;;---- Display Tabelle fr   Khl_Sack_Loch erstellen 

(sd-create-display-table "mach_adv_library-blindhole-drill_dia-table"
 :tableTitle  		"Kuehlbohrung Sackloch"
 :logicalTable   		"mach_adv_library-blindhole-drill_dia-table"
 :columns   		'(:description :drill_dia)
 :filterStatusLine		nil
 :applyColumns		'( :drill_dia)
 :selectionMode		:single-row
 :applyAction		:default
)

;;---------------------------- Beschriftung fr  Khl_Sack_Loch im 3D-Annotation anpassen

(MACHADV_SET_FEATURE_FLAG_TEXT
    :feature_type "MACH_ADV_LIBRARY_BLINDHOLE"
    :feature_flagstring "K_Sa_Loch~%BD={1} BT={2}"
)

(MACHADV_SET_FEATURE_ABBREVIATION
    :feature_type "MACH_ADV_LIBRARY_BLINDHOLE"
    :feature_abbrev "K_SA_Loch"
)


;; Mashining aufrufen
create_custom_feature "mach_adv_library_blindhole"

 

   
